Welcome, Please Register or Login

Forums \ Street Legal Racing \ F.A.Q / Help Section \ JDW AE86 pack

Author Message
#1\2014-02-06 00:20

Avatar

Members
2
Offline

Posts: 2762

NZ
nz New Zealand

Hey on a clean install of MWMLE im getting this in the error log, when I go engine kits or clutch kits. If someone could let me know whats fucking it up that would be great cheer

!Script error

Thread: THRD-RUNVMI Dummy.handleEvent
Error: Thread::run: [illegal methodcall] null.currentPrice() type:Ljava.game.parts.Part;

java.game.InventoryItem_Part:getPrice (line:92)
java.game.InventoryItem_Folder:getPrice (line:59)
java.game.CatalogInventory:update (line:1885)
java.game.Catalog:collectObjectsStep (line:333)
java.game.Catalog:collectObjectsEnd (line:238)
java.game.Catalog:osdCommand (line:1724)
java.render.osd.Gadget:sendMessage (line:211)
java.render.osd.Button:click (line:31)
java.render.Group:handleEvent (line:178)

#2\2014-02-06 01:10

Avatar

Content Admin
6
Offline

Posts: 257

saskatchewan
ca Canada

have you tried unistalling the mod and testing to see if you still get a crash.
and thank you for making a new topic for this
I Am The Anti-Rice
#3\2014-02-06 04:21

Avatar

Members
2
Offline

Posts: 2762

NZ
nz New Zealand

Dont want too lose the AE's ive already built :( surely reinstalling wouldnt do much? it sounds like its conflicting with something

Was working fine before installing 4age. Just removed it again too make sure and yep works fine but as soon as its installed it crashees

Same error every time:

Thread::run: [illegal methodcall] null.currentPrice() type:Ljava.game.parts.Part;

java.game.InventoryItem_Part:getPrice (line:92)
java.game.InventoryItem_Folder:getPrice (line:59)
java.game.CatalogInventory:update (line:1885)
java.game.Catalog:collectObjectsStep (line:333)
java.game.Catalog:collectObjectsEnd (line:238)
java.game.Catalog:osdCommand (line:1724)
java.render.osd.Gadget:sendMessage (line:211)
java.render.osd.Button:click (line:31)
java.render.Group:handleEvent (line:178)

Added 14 minutes later:

YUSS

Ive worked out a temporary solution. The game didnt like the premade kits so I just removed the scripts for it and boom works fine.
This post was edited by Sam C (2014-02-06 04:44, 4 years ago)
#4\2014-02-06 09:11

Avatar

Content Admin
6
Offline

Posts: 257

saskatchewan
ca Canada

that is rather odd. i got 40 cars added and 16 engines and no problems at all.
wonder why yours would have a conflict
I Am The Anti-Rice
#5\2017-10-23 15:39

Avatar

Members
2
Offline

Posts: 2


00

im getting the same error but i deleted yhe 4age and the same thing happens
#6\2017-10-23 15:44

Members
2
Offline

Posts: 528


00

Try using Light Edition 2.2.1MWM, it's both more stable (without MWMLE patch) and supports many mods. If you really want 2.3.0 mods, use F.E.R.A.T which converts the 2.3.0 mods to 2.2.1. If that doesn't work, look around for a manual or at least working conversion (that just means re-doing IDs in the RDB, one by one).
#7\2017-10-23 18:35

Forum Moderator
5
Offline

Posts: 1228


pt Portugal

What a bump here in this topic!
This topic is locked, new posts are not allowed.